%define base_name	kde-theme
%define theme_name	thinkeramik
%define name		%{base_name}-%{theme_name}
%define version		3.2.1
%define release         %mkrel 5
%define summary		Thinkeramik kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=10919
BuildRequires:		kdebase-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Provides:		kdemoreartwork-%{theme_name}
Obsoletes:		kdemoreartwork-%{theme_name}

%description
This style is modified from keramik as follows:
 
 -Flat Menubar and Toolbar.
 -Scrollbar-slider color.(= Window-InactiveBackground)
 -Thin push-buttons and scrollbar.
 -Selected menu-Item effect.
 -Active menubar-Item effect.
 -Pixmaps of tabs.
 -Active tab effect.
 -Striped menu.
 -Smooth kicker.
 -Menu background image.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kstyle_%{theme_name}_config.la
%{_libdir}/kde3/kstyle_%{theme_name}_config.so
%{_libdir}/kde3/kwin3_%{theme_name}.la
%{_libdir}/kde3/kwin3_%{theme_name}.so
%{_libdir}/kde3/kwin_%{theme_name}_config.la
%{_libdir}/kde3/kwin_%{theme_name}_config.so
%{_libdir}/kde3/plugins/styles/%{theme_name}.la
%{_libdir}/kde3/plugins/styles/%{theme_name}.so
%{_datadir}/apps/kdisplay/color-schemes/%{theme_name}-II.kcsrc
%{_datadir}/apps/kdisplay/color-schemes/%{theme_name}.kcsrc
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.2.1-5mdv2007.0
- Rebuild

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 3.2.1-4mdk
- quiet %%setup
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.2.1-3mdk
- Remove redundant Buildrequires
- use mkrel

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.1-2mdk
- rebuild for new g++

* Sun May 02 2004 Laurent Culioli <laurent@mandrake.org> 3.2.1-1mdk
- 3.2.1

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 3.1.4-1mdk
- 3.1.4
- clean specfile
- new naming scheme

* Mon Sep 01 2003 Laurent culioli <laurent@pschit.net> 2.8-1mdk
- new version

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 2.7.3-1mdk
- initial release

